Subject: bug#15735: 24.3.50; `find-library' completion bug

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Oct 2013 21:25:01 -0400

retitle 15735 locate-file-completion-table should not accept incomplete input
thanks

> It would make more sense to me if RET at this point did what I
> expected a second TAB to do: tell you there are no completions
> (beyond the directory name), but not exit the minibuffer.

Yes, that makes sense.  Indeed, there's a problem in the completion
system: we don't distinguish between a valid input and a completion
candidate.  "ess-5.3.10/" is a valid completion candidate, but is not
a valid input.

IIRC there are cases where the completion primitives make it difficult
to enforce this distinction (e.g. when we provide a predicate, where it
can be OK to ignore the predicate on intermediate completions like
"ess-5.3.10/"), but in the case of load-library's completion, it should
be fixable without too much trouble.

        Stefan